"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultOptions = {
  method: 'get'
}; // `withCredentials` indicates whether or not cross-site Access-Control requests
// should be made using credentials

_axios.default.defaults.withCredentials = true;

var _default = function _default(url) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultOptions;
  return (0, _axios.default)(_objectSpread({
    url: url
  }, options)).then(function (response) {
    var status = response.status;

    if (status !== 200) {
      return Promise.reject(new Error("http\u8BF7\u6C42\u5931\u8D25\uFF0C\u72B6\u6001\u7801\uFF1A".concat(status)));
    }

    var _response$data = response.data,
        code = _response$data.code,
        data = _response$data.data;

    if (code !== 200) {
      return Promise.reject(new Error("\u63A5\u53E3\u8BF7\u6C42\u5931\u8D25\uFF0C\u72B6\u6001\u7801\uFF1A".concat(status)));
    }

    return Promise.resolve(data);
  });
};

exports.default = _default;